The materials in this python-ecology-lesson repository were initially developed
and adapted and continue to be revised by many contributors. Some of the lessons
were adapted from Software Carpentry materials.

The first Python Data Carpentry workshop was run at University of Miami on March
30 2015 John Gosset and Francois Michonneau. During this time materials were
refined and they presented again at the UCAR Software Engineering Assembly (SEA)
conference in Boulder, Colorado by Leah Wasser (NEON,Inc) and Mariela Perignon.

## Data

### Biology

Data is from the paper S. K. Morgan Ernest, Thomas J. Valone, and James H.
Brown. 2009. Long-term monitoring and experimental manipulation of a Chihuahuan
Desert ecosystem near Portal, Arizona, USA. Ecology 90:1708.

http://esapubs.org/archive/ecol/E090/118/

Excel data is from the paper Bahlai, C.A., Schaafsma, A.W., Lagos, D., Voegtlin,
D., Smith, J.L., Welsman, J.A., Xue, Y., DiFonzo, C., Hallett, R.H., 2014.
Factors inducing migratory forms of soybean aphid and an examination of North
American spatial dynamics of this species in the context of migratory behavior.
Agriculture and Forest Entomology. 16, 240-250.

http://onlinelibrary.wiley.com/doi/10.1111/afe.12051/full

Master_suction_trap_data_list_uncleaned.csv is a pre-cleaning version of a
publically available dataset by David Voegtlin, Doris Lagos, Douglas Landis and
Christie Bahlai, available at http://lter.kbs.msu.edu/datatables/122

## Lessons

The current list of lessons.

Note: these lessons were reorganized, cleaned up and developed further by Leah
Wasser, Mariela Perignon, John Gosset and Francois Michonneau in April 2015. 

    Short Introduction to Python
    Starting With Data
    Index Slice Subset
    Data Types and Format
    Merging Data
    Data Analysis Automation: Loops and Functions (Developed by Mariela Perignon with minor edits both Leah Wasser)
    Visualizing Data with ggplot (Developed by Jeremy Zucker November 2016)
    Putting It All Together (Developed by Mariela Perignon with minor revisions by Leah Wasser April 2015)
    Accessing SQL using Python (Added by John Gosset with minor revisions by Leah Wasser April 2015)

