---
layout: lesson
root: .

maintainers:
  - April Wright
  - John Gosset
  - Mateusz Kuzak
---

**Lesson Maintainers:** {{ page.maintainers | join: ', ' }}

Python is a general purpose programming language that is useful for writing scripts to work effectively and reproducibly with data.

This is an introduction to Python designed for participants with no programming experience. These lessons can be taught in a day (~ 6 hours). They start with some basic information about Python syntax, the Jupyter notebook interface, and move through how to import CSV files, using the pandas package to work with data frames, how to calculate summary information from a data frame, and a brief introduction to plotting. The last lesson demonstrates how to work with databases directly from Python.

> ## Getting Started
>
> Data Carpentry's teaching is hands-on, so participants are encouraged to use
> their own computers to insure the proper setup of tools for an efficient 
> workflow. <br>**These lessons assume no prior knowledge of the skills or tools.**
>
> To get started, follow the directions in the "[Setup](setup/)" tab to 
> download data to your computer and follow any installation instructions.
>
> #### Prerequisites
>
> This lesson requires a working copy of **Python**.
> <br>To most effectively use these materials, please make sure to install 
> everything *before* working through this lesson.
{: .prereq}

> ## For Instructors
> If you are teaching this lesson in a workshop, please see the 
> [Instructor notes](guide/).
{: .prereq}
